> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the definitions for all end user entities



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_user_entities
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_user_entities:
    get:
      tags:
        - EndUserEntity
      summary: Get the definitions for all end user entities
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/NestedEndUserEntitySchema'
                type: array
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    NestedEndUserEntitySchema:
      properties:
        display_order:
          type: integer
        entity_attributes:
          items:
            $ref: '#/components/schemas/NestedEndUserEntityAttribute'
          type: array
        entity_description:
          type: string
        entity_name:
          type: string
        entity_post_processor_configs:
          default: []
          items:
            additionalProperties: {}
            type: object
          type: array
        heron_id:
          type: string
        is_list:
          type: boolean
        saved_query_heron_id:
          nullable: true
          type: string
      type: object
    NestedEndUserEntityAttribute:
      properties:
        attribute_description:
          type: string
        attribute_name:
          type: string
        attribute_sources:
          items:
            $ref: '#/components/schemas/EndUserEntityAttributeSource'
          type: array
        attribute_type:
          enum:
            - float
            - int
            - decimal
            - string
            - date
            - datetime
            - bool
        display_order:
          type: integer
        heron_id:
          type: string
        is_dedupe_key:
          default: false
          type: boolean
        reconciliation_config:
          additionalProperties: {}
          type: object
        reconciliation_strategy:
          enum:
            - sort_order
            - llm
            - comparison
            - concatenate_lists
      type: object
    EndUserEntityAttributeSource:
      properties:
        heron_id:
          nullable: true
          type: string
        sort_order:
          type: integer
        source_config:
          additionalProperties: {}
          type: object
        source_type:
          enum:
            - parsed_end_user_file
            - api
            - rel_6
            - end_user_enricher
            - company_attribute
            - static_value
            - end_user_query
            - broker_submission_api
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````